​
Select Service
ves-io-schema-virtual_site-API-List
Published April 5, 2023 | Last modified September 15, 2026
Examples of listing virtual_site
Usecase:
List virtual-site
Request using vesctl:
vesctl configuration list virtual_site --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: virtual-site-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 027de66b-70a3-4baa-b841-45ce02c101a4Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/virtual_sites'curl response
HTTP/1.1 200 OKContent-Length: 444Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:16:33 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "virtual-site-1", "uid": "027de66b-70a3-4baa-b841-45ce02c101a4", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}